#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  gst-plugins-ugly-1.24.12

- Next

  id3lib-3.8.3

- Up
- Home

# gst-libav-1.24.12

## Introduction to GStreamer Libav

The GStreamer Libav package contains GStreamer plugins for Libav (a fork of FFmpeg).

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://gstreamer.freedesktop.org/src/gst-libav/gst-libav-1.24.12.tar.xz

- Download MD5 sum: 20fbf19f67d1b91eaf1279ede7494e9e

- Download size: 216 KB

- Estimated disk space required: 14 MB

- Estimated build time: less than 0.1 SBU

### GStreamer Libav Dependencies

#### Required

FFmpeg-7.1 and gst-plugins-base-1.24.12

#### Recommended

yasm-1.3.0

#### Optional

hotdoc

## Installation of GStreamer Libav

Install GStreamer Libav by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup ..            \
          --prefix=/usr       \
          --buildtype=release &&
    ninja

To run the tests, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

## Contents

Installed Programs: None
Installed Library: libgstlibav.so in /usr/lib/gstreamer-1.0
Installed Directory: None

- Prev

  gst-plugins-ugly-1.24.12

- Next

  id3lib-3.8.3

- Up
- Home